From e31c054aa9e23f77c7a0674bcd715f91cd8ff587 Mon Sep 17 00:00:00 2001
From: Dima Kogan <dima@secretsauce.net>
Date: Tue, 9 Jun 2015 02:13:04 -0700
Subject: [PATCH 10/10] 'base' now part of lib_binaries again, not
 arch_binaries

This was changed in Debian gcc 5.1.1-8. After that change, 'base' went
into arch_binaries, which made the 'base' build a dependency of
'binary-arch' in rules2, and building the cross toolchain would thus
invoke the rules for $(binary_stamp)-base in binary-base.mk. Those
rules have a problem: lots of instances of error 'package gcc-5-base
is not in control info'.

This patch reverts to the old behavior where we don't invoke the
$(binary_stamp)-base rules at all. It's not generically correct, and
we should either fix these rules, or skip them in a more explicit way
---
 debian/rules.d/binary-base.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/rules.d/binary-base.mk b/debian/rules.d/binary-base.mk
index e964b86..be5bc23 100644
--- a/debian/rules.d/binary-base.mk
+++ b/debian/rules.d/binary-base.mk
@@ -1,4 +1,4 @@
-arch_binaries += base
+$(lib_binaries) += base
 ifeq ($(with_gcclbase),yes)
   ifneq ($(with_base_only),yes)
     indep_binaries += lbase
-- 
2.17.1

